import { Request, Response } from "express";
import logger from "../logger/logger";
import util from "util";
import { exec } from "child_process";

const execPromise = util.promisify(exec);

export async function UpdateTemplateWebhook(req: Request, res: Response) {
  try {
    logger.info("UpdateTemplateWebhook", req.body);

    const { stdout } = await execPromise(
      "git clone https://git.ex.umbach.dev/KK/website",
      {
        cwd: `../../tmp/template`,
      }
    );

    console.log(stdout);

    res.status(200).send({ message: "ok" });
  } catch (error) {
    console.log("error", error);
    res.status(500).send({ error: "invalid request" });
  }
}
